Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200501-24 ] tnftp: Arbitrary file overwriting
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Bodhisattva
Bodhisattva


Joined: 25 Feb 2003
Posts: 3827
Location: Essen, Germany

PostPosted: Fri Jan 14, 2005 7:16 am    Post subject: [ GLSA 200501-24 ] tnftp: Arbitrary file overwriting Reply with quote

Gentoo Linux Security Advisory

Title: tnftp: Arbitrary file overwriting (GLSA 200501-24)
Severity: normal
Exploitable: remote
Date: January 14, 2005
Bug(s): #74704
ID: 200501-24

Synopsis

tnftp fails to validate filenames when downloading files, making it vulnerable to arbitrary file overwriting.

Background

tnftp is a NetBSD FTP client with several advanced features.

Affected Packages

Package: net-ftp/tnftp
Vulnerable: < 20050103
Unaffected: >= 20050103
Architectures: All supported architectures


Description

The 'mget' function in cmds.c lacks validation of the filenames that are supplied by the server.

Impact

An attacker running an FTP server could supply clients with malicious filenames, potentially allowing the overwriting of arbitrary files with the permission of the connected user.

Workaround

There is no known workaround at this time.

Resolution

All tnftp users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=net-ftp/tnftp-20050103"


References

CAN-2004-1294
Original Advisory


Last edited by GLSA on Fri Jun 16, 2006 4:16 am; edited 3 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum